# 
# RiskScape™ Copyright New Zealand Institute for Earth Science Limited
# (Earth Sciences New Zealand) is distributed for research purposes only
# under the terms of AGPLv3.
# 
# RiskScape™ Copyright 2026 New Zealand Institute for Earth Science
# Limited (Earth Sciences New Zealand). All rights reserved. Source code
# available under the AGPLv3.
# 
# This program is free software: you can redistribute it and/or modify it under
#  the terms of the GNU Affero General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option) any
#  later version.
# 
# This program is distributed for RESEARCH PURPOSES ONLY, in the hope that it will
# be useful for research and education initiatives.
# 
# If you are not a researcher, or you are a researcher who wishes to use this
# program on terms other than AGPLv3 (including those who wish to restrict the
# distribution of any source code created using this program), please contact:
# https://riskscape.org.nz
# 
# This program is distributed WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.  You should have received a copy
# of the GNU Affero General Public License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.
# 
# By way of summary only, under the AGPLv3:
#     • Permissions of this strongest copyleft license are conditioned
#       on making available complete source code of licensed works and
#       modifications, which include larger works using a licensed work,
#       under the same license.
#     • Copyright and license notices must be preserved.
#     • Contributors provide an express grant of patent rights.
#     • When a modified version is used to provide a service over a
#       network, the complete source code of the modified version must be made
#       available.
# 
nz.org.riskscape.hdf5.Hdf5Resolver.params.mode = \
  A mode to use when accessing the HDF5 data.  This is used to determine what data is exposed and in what format it is \
  returned.  Supports: \n \
  RELATION - Returns a relation of each item in the `dataset`

nz.org.riskscape.hdf5.Hdf5Resolver.params.dataset = \
  Path within the HDF5 file to the target dataset. E.g `/my-data/sites` would open the `sites` dataset located within \
  the `my-data` group. You can specify multiple HDF5 datasets (providing all datasets are the exact same size) \
  and these datasets will be combined (i.e. 'zipped') into a single relation.

nz.org.riskscape.hdf5.Hdf5Resolver.params.include-attributes = \
  A comma separated list of attributes (from the target dataset) to be included in the produced relation. \
  The default is to include all attributes.

nz.org.riskscape.hdf5.Hdf5Resolver.params.read-size-mb = \
  Advanced setting for controlling the size of the read buffer used when fetching data from the HDF5 file. \
  A larger `read-size-mb` will reduce how often RiskScape needs to read from the HDF5 file, at the cost of using more \
  memory.  Defaults to 64MB.
